org.springframework.web.servlet.i18n

## Class AbstractLocaleResolver

- java.lang.Object
- - org.springframework.web.servlet.i18n.AbstractLocaleResolver

All Implemented Interfaces:
  LocaleResolver

Direct Known Subclasses:
  FixedLocaleResolver, SessionLocaleResolver

    public abstract class AbstractLocaleResolver
    extends Object
    implements LocaleResolver

Abstract base class for `LocaleResolver` implementations. Provides support for a default locale.

Since:
  1.2.9
Author:
  Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`AbstractLocaleResolver()`

### Method Summary

Methods
`protected Locale` `getDefaultLocale()` Return the default Locale that this resolver is supposed to fall back to, if any.
`void` `setDefaultLocale(Locale defaultLocale)` Set a default Locale that this resolver will return if no other locale found.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.LocaleResolver

`resolveLocale, setLocale`

### Constructor Detail

#### AbstractLocaleResolver

    public AbstractLocaleResolver()

### Method Detail

#### setDefaultLocale

    public void setDefaultLocale(Locale defaultLocale)

Set a default Locale that this resolver will return if no other locale found.

#### getDefaultLocale

    protected Locale getDefaultLocale()

Return the default Locale that this resolver is supposed to fall back to, if any.